View Issue Details

IDProjectCategoryView StatusLast Update
0002791SymmetricDS ProImprovementpublic2016-09-16 09:00
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.8.4Fixed in Version3.8.4 
Summary0002791: Every network error is logged and alerts user on Dashboard
DescriptionThe dashboard is displaying every network exception as a warning or error, which causes the user to think they need to take action. Some networks are unstable and occasionally have reset connections, early EOF, connection exceptions, and other IO exceptions. Wait for the network error to occur 3 or more times in a row before logging at the warn or error level.

Failed while reading batch because:
Error while processing PUT request
Starting a new process even though the previous 'Service Database Push' ...
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 58463add

2016-09-12 16:33:30

admin

Details Diff
0002791: Every network error is logged and alerts user on Dashboard
0002791
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/SymmetricServlet.java Diff File

SymmetricDS: 3.8 74d6e1ac

2016-09-15 15:45:18

admin

Details Diff
0002791: Every network error is logged and alerts user on Dashboard
0002791
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DefaultOfflineClientListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractOfflineDetectorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PushService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpOutgoingTransport.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File
add - symmetric-util/src/main/java/org/jumpmind/exception/HttpException.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/AppUtils.java Diff File

Issue History

Date Modified Username Field Change
2016-09-12 16:32 elong New Issue
2016-09-12 17:00 admin Changeset attached => SymmetricDS 3.8 58463add
2016-09-15 14:30 elong Product Version => 3.8.0
2016-09-15 14:30 elong Target Version => 3.8.4
2016-09-15 15:46 elong Assigned To => elong
2016-09-15 15:46 elong Status new => assigned
2016-09-15 15:46 elong Status assigned => resolved
2016-09-15 15:46 elong Fixed in Version => 3.8.4
2016-09-15 15:46 elong Resolution open => fixed
2016-09-15 16:00 admin Changeset attached => SymmetricDS 3.8 74d6e1ac
2016-09-16 09:00 admin Status resolved => closed